export class ScreenshotTimeoutError extends Error {
    constructor(msec, target) {
        super();
        this.name = 'ScreenshotTimeoutError';
        this.message = `Screenshot timeout exceeded. 'capture' function is not triggered in ${msec} ms. Target story: ${target.kind}/${target.story}`;
    }
}
export class InvalidCurrentStoryStateError extends Error {
    constructor() {
        super();
        this.name = 'InvalidCurrentStoryStateError';
        this.message = 'Fail to screenshot. The current story is not set.';
    }
}
