import { Story } from 'storycrawler';
import { ShardOptions } from './types';
export declare const parseShardOptions: (arg: string) => ShardOptions;
/**
 *
 * Sort the stories by their ID.
 *
 **/
export declare const sortStories: (stories: Story[]) => Story[];
/**
 *
 * Shard stories in a round robin fashion based on their index in the sorted list.
 *
 **/
export declare const shardStories: (stories: Story[], shardNumber: number, totalShards: number) => Story[];
